summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@liwjatan.at>2010-05-11 22:55:03 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:03 +0200
commitd78b6a7ed3c79aff6f4f94402e3d1b8d5b41208a (patch)
treea67f0e33f7c518177aa5e7102854eac905baabe1
parent4cbc8b3b806b3bfe38c19f777bedfbe40f8f62f3 (diff)
downloadslackbuilds-d78b6a7ed3c79aff6f4f94402e3d1b8d5b41208a.tar.gz
slackbuilds-d78b6a7ed3c79aff6f4f94402e3d1b8d5b41208a.tar.xz
network/tork: Added to 12.1 repository
-rw-r--r--network/tork/README3
-rw-r--r--network/tork/doinst.sh19
-rw-r--r--network/tork/slack-desc19
-rw-r--r--network/tork/tork.SlackBuild91
-rw-r--r--network/tork/tork.info8
5 files changed, 140 insertions, 0 deletions
diff --git a/network/tork/README b/network/tork/README
new file mode 100644
index 0000000000..f4d973c3a5
--- /dev/null
+++ b/network/tork/README
@@ -0,0 +1,3 @@
+torK is a gui for KDE3 to configure tor and privoxy. It is also
+capable of switching kde to anonymous use as well as firefox,
+opera, pidgin, et cetera. \ No newline at end of file
diff --git a/network/tork/doinst.sh b/network/tork/doinst.sh
new file mode 100644
index 0000000000..fbe2733454
--- /dev/null
+++ b/network/tork/doinst.sh
@@ -0,0 +1,19 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
+config etc/kde/tork-tsocks.conf.new
+
diff --git a/network/tork/slack-desc b/network/tork/slack-desc
new file mode 100644
index 0000000000..d11c9b32d6
--- /dev/null
+++ b/network/tork/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------------|
+tork: tork (tor/privoxy configuration gui)
+tork:
+tork: torK is a gui for KDE3 to configure tor and privoxy. It is also capable
+tork: of switching kde to anonymous use as well as firefox, opera, pidgin,
+tork: et cetera.
+tork:
+tork: Homepage: http://tork.sourceforge.net
+tork:
+tork:
+tork:
+tork:
diff --git a/network/tork/tork.SlackBuild b/network/tork/tork.SlackBuild
new file mode 100644
index 0000000000..83de2941b7
--- /dev/null
+++ b/network/tork/tork.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for tork
+
+# Copyright 2008 Heinz Wiesinger <pprkut@liwjatan.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tork
+VERSION=0.30
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+KDEPREF=$(kde-config --prefix) || true
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=$KDEPREF \
+ --sysconfdir=/etc/kde \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mv $PKG/etc/kde/tork-tsocks.conf $PKG/etc/kde/tork-tsocks.conf.new
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS PACKAGING README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/tork/tork.info b/network/tork/tork.info
new file mode 100644
index 0000000000..d90e7dd55d
--- /dev/null
+++ b/network/tork/tork.info
@@ -0,0 +1,8 @@
+PRGNAM="tork"
+VERSION="0.30"
+HOMEPAGE="http://tork.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/tork/tork-0.30.tar.bz2"
+MD5SUM="62925bfd0dc135dd028fa0472b9ccfc9"
+MAINTAINER="ppr:kut"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="dsomero"